Page MenuHomePhabricator

browser test canceling
Closed, ResolvedPublic

Description

  • via escape
  • via cancel button

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: reuse duplicate code in can-cancel browser test
mediawiki/extensions/Wikibase : masterbridge: add browser test for clicking cancel button

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
ResolvedMichael

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:50 AM

Change 539370 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: add selenium test for esc event

https://gerrit.wikimedia.org/r/539370

A first browser test, for esc, is already there.

Pablo-WMDE updated the task description. (Show Details)Sep 27 2019, 11:49 AM
Michael claimed this task.Oct 2 2019, 9:55 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-6 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptOct 2 2019, 9:55 AM

Change 540372 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: add browser test for clicking cancel button

https://gerrit.wikimedia.org/r/540372

Change 540388 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: reuse duplicate code in can-cancel browser test

https://gerrit.wikimedia.org/r/540388

Change 540372 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add browser test for clicking cancel button

https://gerrit.wikimedia.org/r/540372

Change 540388 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: reuse duplicate code in can-cancel browser test

https://gerrit.wikimedia.org/r/540388

Michael closed this task as Resolved.Oct 7 2019, 9:07 AM
Michael moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-6 board.
Michael removed a project: Patch-For-Review.

All patches got merged. Somehow the Gerrit bot got confused and forgot to report that for the patch that adds the selenium tests for pressing escape.